% File src/library/base/man/Deprecated.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2012 R Core Team
% Distributed under GPL 2 or later

\name{Deprecated}
\title{Marking Objects as Deprecated}
\alias{Deprecated}
\alias{.Deprecated}
\alias{deprecated}

\description{
あるオブジェクトが \R から廃止予定の時は，まず廃止予定と宣言され，
\code{.Deprecated} への呼び出しを含むべきである．
}

\usage{
.Deprecated(new, package=NULL, msg,
            old = as.character(sys.call(sys.parent()))[1L])
}
\arguments{
  \item{new}{
    文字列：代替関数の示唆．
  }
  \item{package}{
    文字列：どこに廃止予定関数がリストされるかを示唆する際に使われるパッケージ．
  }
  \item{msg}{
    文字列：プリントされるメッセージ．もしなければ既定のメッセージが使われる．}
  \item{old}{廃止予定の関数(既定)や用法を指定する文字列．}
}
\details{
\code{.Deprecated("<new name>")} は廃止予定関数から呼び出される．
これらの関数の元々のヘルプ頁はしばしば 
\code{help("oldName-deprecated")} (引用符に注意) で見つかる．
関数は \code{base} を含む適当な \code{pkg} に対する \code{help("pkg-deprecated")}
にリストされるべきである．
}
\seealso{
  \code{\link{Defunct}}

  パッケージ中の廃止予定関数をリストする \code{base-deprecated} 等．
}
\keyword{documentation}
\keyword{utilities}


%% File src/library/base/man/Deprecated.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2012 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Deprecated}
%\title{Marking Objects as Deprecated}
%\alias{Deprecated}
%\alias{.Deprecated}
%\alias{deprecated}
%
%\description{
%  When an object is about to be removed from \R it is first deprecated and
%  should include a call to \code{.Deprecated}.
%}
%\usage{
%.Deprecated(new, package=NULL, msg,
%            old = as.character(sys.call(sys.parent()))[1L])
%}
%\arguments{
%  \item{new}{
%    character string: A suggestion for a replacement function.
%  }
%  \item{package}{
%    character string: The package to be used when suggesting where the
%    deprecated function might be listed.
%  }
%  \item{msg}{
%    character string: A message to be printed, if missing a default
%    message is used.}
%  \item{old}{character string specifying the function (default) or usage
%    which is being deprecated.}
%}
%\details{
%  \code{.Deprecated("<new name>")} is called from deprecated
%  functions.  The original help page for these functions is often
%  available at \code{help("oldName-deprecated")} (note the quotes).
%  Functions should be listed in \code{help("pkg-deprecated")} for an
%  appropriate \code{pkg}, including \code{base}.
%}
%\seealso{
%  \code{\link{Defunct}}
%
%  \code{base-deprecated} and so on which list the deprecated functions
%  in the packages.
%}
%\keyword{documentation}
%\keyword{utilities}
%
\encoding{UTF8}
