% File src/library/base/man/format.pval.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2010 R Core Team
% Distributed under GPL 2 or later

\name{format.pval}
\title{Format P Values}
\description{
  \code{format.pval} はp値の整形用である．
}
\alias{format.pval}
\usage{
format.pval(pv, digits = max(1, getOption("digits") - 2),
            eps = .Machine$double.eps, na.form = "NA", ...)
}
\arguments{
  \item{pv}{数値ベクトル．}
  \item{digits}{有効桁数をどれだけ使うか．}
  \item{eps}{数値的許容度：\sQuote{詳細}を見よ．}
  \item{na.form}{\code{NA} の文字列表現．}
  \item{\dots}{\code{nsmall} のような \code{\link{format}} へ渡される追加引数．}
}
\value{
  文字列ベクトル．
}
\details{
  \code{format.pval} は主に \code{\link{print.summary.lm}} 等のための
  補助関数であり，固定・浮動小数点数と非常に小さな値に対し個別に整形を行う；
  \code{eps} より小さな数は \code{"< [eps]"} のように整形される
  (ここで \sQuote{[eps]} は \code{format(eps, digits)} を表す)．
}
\examples{
format.pval(c(stats::runif(5), pi^-100, NA))
format.pval(c(0.1, 0.0001, 1e-27))
}
\keyword{print}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/format.pval.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{format.pval}
%\title{Format P Values}
%\description{
%  \code{format.pval} is intended for formatting p-values.
%}
%\alias{format.pval}
%\usage{
%format.pval(pv, digits = max(1, getOption("digits") - 2),
%            eps = .Machine$double.eps, na.form = "NA", ...)
%}
%\arguments{
%  \item{pv}{a numeric vector.}
%  \item{digits}{how many significant digits are to be used.}
%  \item{eps}{a numerical tolerance: see \sQuote{Details}.}
%  \item{na.form}{character representation of \code{NA}s.}
%  \item{\dots}{further arguments to be passed to \code{\link{format}}
%    such as \code{nsmall}.}
%}
%\value{
%  A character vector.
%}
%\details{
%  \code{format.pval} is mainly an auxiliary function for
%  \code{\link{print.summary.lm}} etc., and does separate formatting for
%  fixed, floating point and very small values; those less than
%  \code{eps} are formatted as \code{"< [eps]"} (where \sQuote{[eps]}
%  stands for \code{format(eps, digits)}).
%}
%\examples{
%format.pval(c(stats::runif(5), pi^-100, NA))
%format.pval(c(0.1, 0.0001, 1e-27))
%}
%\keyword{print}
%
\encoding{UTF8}
