% File src/library/base/man/margin.table.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{margin.table}
\alias{margin.table}
\title{Compute table margin}
\description{
  配列形式の分割表に対し，与えられた添字に対する項目の和を計算する．
}
\usage{
margin.table(x, margin = NULL)
}
\arguments{
  \item{x}{配列．}
  \item{margin}{添字 (行には 1 等．) }
}
\details{
  これは実際は新人用にパッケージ化された \code{apply(x, margin, sum)} に
  過ぎないが，もし \code{margin} が長さゼロならば \code{sum(x)} が得られる．
}
\seealso{
  \code{\link{prop.table}} と \code{\link{addmargins}}．
}
\value{
  関連する周辺テーブル．\code{x} のクラスは総和ケースを除き
  出力テーブルにコピーされる．
}
\author{Peter Dalgaard}
\examples{
m <- matrix(1:4, 2)
margin.table(m, 1)
margin.table(m, 2)
}
\keyword{array}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/margin.table.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{margin.table}
%\alias{margin.table}
%\title{Compute table margin}
%\description{
%  For a contingency table in array form, compute the sum of table
%  entries for a given index.
%}
%\usage{
%margin.table(x, margin = NULL)
%}
%\arguments{
%  \item{x}{an array}
%  \item{margin}{index number (1 for rows, etc.) }
%}
%\details{
%  This is really just \code{apply(x, margin, sum)} packaged up for
%  newbies, except that if \code{margin} has length zero you get
%  \code{sum(x)}.
%}
%\seealso{
%  \code{\link{prop.table}} and \code{\link{addmargins}}.
%}
%\value{
%  The relevant marginal table.  The class of \code{x} is copied to the
%  output table, except in the summation case.
%}
%\author{Peter Dalgaard}
%\examples{
%m <- matrix(1:4, 2)
%margin.table(m, 1)
%margin.table(m, 2)
%}
%\keyword{array}
%
\encoding{UTF8}
