% File src/library/base/man/nlevels.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{nlevels}
\title{The Number of Levels of a Factor}
\usage{
nlevels(x)
}
\alias{nlevels}
\description{
  引数が持つ水準数を返す．
}
\arguments{
  \item{x}{オブジェクト，普通因子．}
}
\details{
  これは普通因子に適用されるが，他のオブジェクトも水準を持つことが出来る．

  実際の因子の水準は(もし存在すれば)
  \code{\link{levels}} 関数で得られる．
}
\value{
  \code{\link{levels}(x)} の長さ．もし
  \code{x} が水準数を持たなければゼロ．
}
\seealso{
  \code{\link{levels}}, \code{\link{factor}}.
}
\examples{
nlevels(gl(3, 7)) # = 3
}
\keyword{category}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/nlevels.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{nlevels}
%\title{The Number of Levels of a Factor}
%\usage{
%nlevels(x)
%}
%\alias{nlevels}
%\description{
%  Return the number of levels which its argument has.
%}
%\arguments{
%  \item{x}{an object, usually a factor.}
%}
%\details{
%  This is usually applied to a factor, but other objects can have levels.
%
%  The actual factor levels (if they exist) can be obtained
%  with the \code{\link{levels}} function.
%}
%\value{
%  The length of \code{\link{levels}(x)}, which is zero if
%  \code{x} has no levels.
%}
%\seealso{
%  \code{\link{levels}}, \code{\link{factor}}.
%}
%\examples{
%nlevels(gl(3, 7)) # = 3
%}
%\keyword{category}
%
\encoding{UTF8}
