% File src/library/base/man/round.POSIXt.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{round.POSIXt}
\alias{round.POSIXt}
\alias{trunc.POSIXt}
\alias{round.Date}
\alias{trunc.Date}
\title{Round / Truncate Data-Time Objects}
\description{
  日付・時刻オブジェクトを丸めるまたは切り詰める．
}
\usage{
\method{round}{POSIXt}(x, units = c("secs", "mins", "hours", "days"))
\method{trunc}{POSIXt}(x, units = c("secs", "mins", "hours", "days"), \dots)

\method{round}{Date}(x, \dots)
\method{trunc}{Date}(x, \dots)
}
\arguments{
  \item{x}{\code{"POSIXt"} または \code{"Date"} を継承するオブジェクト．}
  \item{units}{リストされた単位の一つ．簡略化出来る．}
  \item{\dots}{他の引数に・から渡される引数，特に \code{round} に
    対する \code{digits}．}
}
\details{
  時刻は秒，分，時間又は日に丸めたり切り詰められる．
  タイムゾーンは現在のタイムゾーンに於ける真夜中の際の日だけに関係する．

  クラス \code{"Date"} に対するメソッドは小数秒を除く以外は
  ほとんど役に立たない．
}
\value{
  クラス \code{"POSIXlt"} または \code{"Date"} のオブジェクト．
}
\seealso{
  総称的関数と既定メソッドに対しては \code{\link{round}}．

  \code{\link{DateTimeClasses}}, \code{\link{Date}}
}

\examples{
round(.leap.seconds + 1000, "hour")
\donttest{trunc(Sys.time(), "day")}
}
\keyword{chron}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/round.POSIXt.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{round.POSIXt}
%\alias{round.POSIXt}
%\alias{trunc.POSIXt}
%\alias{round.Date}
%\alias{trunc.Date}
%\title{Round / Truncate Data-Time Objects}
%\description{
%  Round or truncate date-time objects.
%}
%\usage{
%\method{round}{POSIXt}(x, units = c("secs", "mins", "hours", "days"))
%\method{trunc}{POSIXt}(x, units = c("secs", "mins", "hours", "days"), \dots)
%
%\method{round}{Date}(x, \dots)
%\method{trunc}{Date}(x, \dots)
%}
%\arguments{
%  \item{x}{an object inheriting from \code{"POSIXt"} or \code{"Date"}.}
%  \item{units}{one of the units listed.  Can be abbreviated.}
%  \item{\dots}{arguments to be passed to or from other methods, notably
%    \code{digits} for \code{round}.}
%}
%\details{
%  The time is rounded or truncated to the second, minute, hour or day.
%  Time zones are only relevant to days, when midnight in the current
%  \link{time zone} is used.
%
%  The methods for class \code{"Date"} are of little use except to remove
%  fractional days.
%}
%\value{
%  An object of class \code{"POSIXlt"} or \code{"Date"}.
%}
%\seealso{
%  \code{\link{round}} for the generic function and default methods.
%
%  \code{\link{DateTimeClasses}}, \code{\link{Date}}
%}
%
%\examples{
%round(.leap.seconds + 1000, "hour")
%\donttest{trunc(Sys.time(), "day")}
%}
%\keyword{chron}
%
\encoding{UTF8}
