% File src/library/datasets/man/USArrests.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{USArrests}
\docType{data}
\title{米国の暴力犯罪率データ}
\alias{USArrests}
%%\title{Violent Crime Rates by US State}
\description{
  このデータセットは米国の50の州での住民10万人あたりの
  暴行，殺人，強姦による逮捕者数の1973年の統計である．
  また郊外地域に住む人口のパーセントも与える．
}
\usage{USArrests}
\format{
  4変数50観測値のデータフレーム．

  \tabular{rlll}{
    [,1]  \tab Murder    \tab 数値
    \tab 殺人による逮捕(10万人当たり)\cr
    [,2]  \tab Assault   \tab 数値
    \tab 暴行による逮捕(10万人当たり)\cr
    [,3]  \tab UrbanPop  \tab 数値
    \tab 郊外人口のパーセント\cr
    [,4]  \tab Rape      \tab 数値
    \tab 強姦による逮捕(10万人当たり)
  }
}
\source{
  World Almanac and Book of facts 1975.  (犯罪率)．

  Statistical Abstracts of the United States 1975.  (郊外人口率)．
}
\seealso{The \code{\link{state}} data sets.}
\references{
  McNeil, D. R. (1977)
  \emph{Interactive Data Analysis}.
  New York: Wiley.
}
\examples{
require(graphics)
pairs(USArrests, panel = panel.smooth, main = "USArrests data")
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/USArrests.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{USArrests}
%\docType{data}
%\alias{USArrests}
%\title{Violent Crime Rates by US State}
%\description{
%  This data set contains statistics, in arrests per 100,000 residents
%  for assault, murder, and rape in each of the 50 US states in 1973.
%  Also given is the percent of the population living in urban areas.
%}
%\usage{USArrests}
%\format{
%  A data frame with 50 observations on 4 variables.
%
%  \tabular{rlll}{
%    [,1]  \tab Murder    \tab numeric
%    \tab Murder arrests (per 100,000)\cr
%    [,2]  \tab Assault   \tab numeric
%    \tab Assault arrests (per 100,000)\cr
%    [,3]  \tab UrbanPop  \tab numeric
%    \tab Percent urban population\cr
%    [,4]  \tab Rape      \tab numeric
%    \tab Rape arrests (per 100,000)
%  }
%}
%\source{
%  World Almanac and Book of facts 1975.  (Crime rates).
%
%  Statistical Abstracts of the United States 1975.  (Urban rates).
%}
%\seealso{The \code{\link{state}} data sets.}
%\references{
%  McNeil, D. R. (1977)
%  \emph{Interactive Data Analysis}.
%  New York: Wiley.
%}
%\examples{
%require(graphics)
%pairs(USArrests, panel = panel.smooth, main = "USArrests data")
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%