% File src/library/datasets/man/ability.cov.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{ability.cov}
\docType{data}
\title{能力と知能検査データ}
\alias{ability.cov}
%%\title{Ability and Intelligence Tests}
\description{
  112人に六種類のテストが行われた．このオブジェクトの
  共分散行列が与えられる．
}
\details{
  テストは次のようになる
  \describe{
    \item{general:}{
      Cattell の文化に依存しない検査を用いた一般的知能の
      非言語的測定．}
    \item{picture:}{図形完成テスト．}
    \item{blocks:}{ブロックデザイン．}
    \item{maze:}{迷路．}
    \item{reading:}{読解力．}
    \item{vocab:}{語彙．}
  }

  Bartholomew は共分散と相関行列を与えているが
  それらは一貫していない．どちらもオリジナル論文には無い．
}
\usage{ability.cov}
\source{
  Bartholomew, D. J. (1987) \emph{Latent Variable Analysis and Factor
    Analysis.} Griffin.

  Bartholomew, D. J.  and Knott, M. (1990) \emph{Latent Variable Analysis
    and Factor Analysis.} Second Edition, Arnold.
}
\references{
  Smith, G. A. and Stanley G. (1983)
  Clocking \eqn{g}: relating intelligence and measures of timed
  performance. \emph{Intelligence}, \bold{7}, 353--368.
}
\examples{\donttest{
require(stats)
(ability.FA <- factanal(factors = 1, covmat = ability.cov))
update(ability.FA, factors = 2)
## 因子の，従って相関の符号は promax 回転では任意．
update(ability.FA, factors = 2, rotation = "promax")
}}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/ability.cov.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{ability.cov}
%\docType{data}
%\alias{ability.cov}
%\title{Ability and Intelligence Tests}
%\description{
%  Six tests were given to 112 individuals. The covariance matrix is
%  given in this object.
%}
%\details{
%  The tests are described as
%  \describe{
%    \item{general:}{a non-verbal measure of general intelligence using
%      Cattell's culture-fair test.}
%    \item{picture:}{a picture-completion test}
%    \item{blocks:}{block design}
%    \item{maze:}{mazes}
%    \item{reading:}{reading comprehension}
%    \item{vocab:}{vocabulary}
%  }
%
%  Bartholomew gives both covariance and correlation matrices,
%  but these are inconsistent.  Neither are in the original paper.
%}
%\usage{ability.cov}
%\source{
%  Bartholomew, D. J. (1987) \emph{Latent Variable Analysis and Factor
%    Analysis.} Griffin.
%
%  Bartholomew, D. J.  and Knott, M. (1990) \emph{Latent Variable Analysis
%    and Factor Analysis.} Second Edition, Arnold.
%}
%\references{
%  Smith, G. A. and Stanley G. (1983)
%  Clocking \eqn{g}: relating intelligence and measures of timed
%  performance. \emph{Intelligence}, \bold{7}, 353--368.
%}
%\examples{\donttest{
%require(stats)
%(ability.FA <- factanal(factors = 1, covmat = ability.cov))
%update(ability.FA, factors = 2)
%## The signs of factors and hence the signs of correlations are
%## arbitrary with promax rotation.
%update(ability.FA, factors = 2, rotation = "promax")
%}}
%\keyword{datasets}
%
%\encoding{UTF8}
%