% File src/library/datasets/man/volcano.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{volcano}
\docType{data}
\title{マウンガ・ファウ火山の地形情報データ}
\alias{volcano}
%%\title{Topographic Information on Auckland's Maunga Whau Volcano}
\description{
  マウンガ・ファウ(イーデン)山はオークランドの火山帯にある約50の火山の
  一つである．このデータセットは10メートル四方のグリッド上の
  マウンガ・ファウ山の地形情報を与える．
}
\usage{volcano}
\format{
  87行と61列の行列で，行は
  東から西へ伸びるグリッド線に，
  列は南から北へ伸びるグリッド線に対応する．}
\source{
  Ross Ihaka により地形図マップからデジタル化された．
  これらのデータは正確であると考えるべきではない．
}
% FIXME: missing \references{}
\seealso{\code{\link{filled.contour}} for a nice plot.}
\examples{
require(grDevices); require(graphics)
filled.contour(volcano, color.palette = terrain.colors, asp = 1)
title(main = "volcano data: filled contour map")
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\1% File src/library/datasets/man/volcano.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{volcano}
%\docType{data}
%\alias{volcano}
%\title{Topographic Information on Auckland's Maunga Whau Volcano}
%\description{
%  Maunga Whau (Mt Eden) is one of about 50 volcanos in the Auckland
%  volcanic field.  This data set gives topographic information for
%  Maunga Whau on a 10m by 10m grid.
%}
%\usage{volcano}
%\format{
%  A matrix with 87 rows and 61 columns, rows corresponding to grid lines
%  running east to west and columns to grid lines running south to
%  north.}
%\source{
%  Digitized from a topographic map by Ross Ihaka.
%  These data should not be regarded as accurate.
%}
%% FIXME: missing \references{}
%\seealso{\code{\link{filled.contour}} for a nice plot.}
%\examples{
%require(grDevices); require(graphics)
%filled.contour(volcano, color.palette = terrain.colors, asp = 1)
%title(main = "volcano data: filled contour map")
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%
