% File src/library/grDevices/man/as.graphicsAnnot.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2012 R Core Team
% Distributed under GPL 2 or later

\name{as.graphicsAnnot}
\alias{as.graphicsAnnot}
\title{グラフィックスの注釈}
%%\title{Coerce an Object for Graphics Annotation}
\description{
  \R オブジェクトをグラフィックス注釈に適した形式に強制変換する．
}
\usage{
as.graphicsAnnot(x)
}
\arguments{
  \item{x}{\R オブジェクト．}
}
\details{
  表現式，呼び出しそして名前(\link{plotmath} が使うような)は
  未変更で渡される．
  明示的なクラスを持つ(\code{\link{is.object}} で決まるような)
  他の全てのオブジェクトは \code{\link{as.character}} で文字列ベクトルに強制変換される．

  これを使う全ての \pkg{graphics} と \pkg{grid} 関数は
  呼び出しと名前を内部的に表現式に強制変換する．
}
\value{
  言語オブジェクトか文字列ベクトル．
}
\keyword{utilities}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/as.graphicsAnnot.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2012 R Core Team
%% Distributed under GPL 2 or later
%
%\name{as.graphicsAnnot}
%\alias{as.graphicsAnnot}
%\title{Coerce an Object for Graphics Annotation}
%\description{
%  Coerce an \R object into a form suitable for graphics annotation.
%}
%\usage{
%as.graphicsAnnot(x)
%}
%\arguments{
%  \item{x}{an \R object}
%}
%\details{
%  Expressions, calls and names (as used by \link{plotmath}) are passed
%  through unchanged.  All other objects with an explicit class (as
%  determined by \code{\link{is.object}}) are coerced by
%  \code{\link{as.character}} to character vectors.
%
%  All the \pkg{graphics} and \pkg{grid} functions which use this coerce
%  calls and names to expressions internally.
%}
%\value{
%  A language object or a character vector.
%}
%\keyword{utilities}
%
%\encoding{UTF-8}
%