% File src/library/stats/man/nafns.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{naresid}
\alias{naresid}%@%\alias{欠損値情報による残差と予測値の補正}
\alias{naresid.default}
\alias{naresid.exclude}
\alias{napredict}
\alias{napredict.default}
\alias{napredict.exclude}
\title{
Adjust for Missing Values
}
\description{
  欠損値情報を用いて残差と予測値を補正する．
}
\usage{
naresid(omit, x, \dots)
napredict(omit, x, \dots)
}
\arguments{
  \item{omit}{
    \code{\link{na.action}} 関数で作られたオブジェクトには，
    典型的には
    \code{\link{na.omit}} または \code{\link{na.exclude}} の
    結果の \code{"na.action"} 属性．}
  \item{x}{欠損値情報に基づいて補正されるべきベクトル，データフレーム，又は行列．}
  \item{\dots}{他のメソッドに・から渡される追加引数．}
}
\value{
  これらは \code{x} に類似のオブジェクトを返す．
}
\details{
  これらは
  \code{\link{predict}}, \code{\link{fitted}} そして
  \code{\link{residuals}} メソッドに対する
  モデリング関数が当てはめ過程中での \code{NA} の除去を補正する
  ことを可能にするのに使われる．
  これらは既定，\code{"lm"}, \code{"glm"} そして
  \code{"nls"} メソッド，更にパッケージ
  \CRANpkg{MASS}, \CRANpkg{rpart} そして \CRANpkg{survival} 中の
  メソッドにより使われる．
  またにより返されるスコアに対しても使われる．

  既定のメソッドは何もしない．
  \code{na.exclude} に対する既定メソッドはオブジェクトが
  オリジナルのデータフレームと同じ数の行を持つように
  正しい位置に \code{NA} を埋める．

  現在 \code{naresid} と \code{napredict} は同じであるが，
  将来のメソッドはわからない．
  \code{naresid} は残差に使われ，そして
  \code{napredict} は当てはめ値，予測値，そして
  \code{\link{weights}} に対して使われる．
}
\note{
  2000年代初頭，パッケージ \CRANpkg{rpart} と \pkg{survival5} は
  現在 \code{na.exclude} に対して使われているものと同等な
  \code{na.omit} 機能を持つこれらの関数のバージョンを含んでいた．
}
\keyword{NA}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/nafns.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{naresid}
%\alias{naresid}
%\alias{naresid.default}
%\alias{naresid.exclude}
%\alias{napredict}
%\alias{napredict.default}
%\alias{napredict.exclude}
%\title{
%Adjust for Missing Values
%}
%\description{
%  Use missing value information to adjust residuals and predictions.
%}
%\usage{
%naresid(omit, x, \dots)
%napredict(omit, x, \dots)
%}
%\arguments{
%  \item{omit}{an object produced by an \code{\link{na.action}} function,
%    typically the \code{"na.action"} attribute of the result of
%    \code{\link{na.omit}} or \code{\link{na.exclude}}.}
%  \item{x}{a vector, data frame, or matrix to be adjusted based upon the
%    missing value information.}
%  \item{\dots}{further arguments passed to or from other methods.}
%}
%\value{
%  These return a similar object to \code{x}.
%}
%\details{
%  These are utility functions used to allow \code{\link{predict}},
%  \code{\link{fitted}} and \code{\link{residuals}} methods for modelling
%  functions to compensate for the removal of \code{NA}s in the fitting
%  process.  They are used by the default, \code{"lm"}, \code{"glm"} and
%  \code{"nls"} methods, and by further methods in packages \CRANpkg{MASS},
%  \CRANpkg{rpart} and \CRANpkg{survival}.  Also used for the scores returned by
%  \code{\link{factanal}}, \code{\link{prcomp}} and \code{\link{princomp}}.
%
%  The default methods do nothing.  The default method for the \code{na.exclude}
%  action is to pad the object with \code{NA}s in the correct positions to
%  have the same number of rows as the original data frame.
%
%  Currently \code{naresid} and \code{napredict} are identical, but
%  future methods need not be.  \code{naresid} is used for residuals, and
%  \code{napredict} for fitted values, predictions and \code{\link{weights}}.
%}
%\note{
%  In the early 2000s, packages \CRANpkg{rpart} and \pkg{survival5} contained
%  versions of these functions that had an \code{na.omit} action
%  equivalent to that now used for \code{na.exclude}.
%}
%\keyword{NA}
%\keyword{models}
%
%\encoding{UTF-8}
%
