% File src/library/stats/man/pairwise.wilcox.test.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{pairwise.wilcox.test}
\alias{pairwise.wilcox.test}%@%\alias{多重比較補正付きでグループ水準間の対比較}
\title{Pairwise Wilcoxon Rank Sum Tests}
\description{
  多重比較補正付きでグループ水準間の対比較を計算する．
}
\usage{
pairwise.wilcox.test(x, g, p.adjust.method = p.adjust.methods,
                      paired = FALSE, \dots)
}
\arguments{
  \item{x}{応答ベクトル．}
  \item{g}{グルプ化用ベクトル又は因子．}
  \item{p.adjust.method}{p 値の補正法
    (\code{\link{p.adjust}} を見よ)．短縮化出来る．}
  \item{paired}{対検定をしたいかどうかを指示する論理値．}
  \item{\dots}{\code{\link{wilcox.test}} に渡される追加引数．}
}
\details{
  \code{wilcox.test} に渡された余分の引数は
  この文脈では意味があるかもしれないし無いかもしれない．
  特に，可能な比較の行列の下三角部分だけが計算されるので，
  \code{alternative} を
  \code{"two.sided"} 以外のどれかに設定することは
  \code{g} の水準が意味があるように並べられていることを必要とする．
}
\value{
  クラス \code{"pairwise.htest"} のオブジェクト．
}
\seealso{ \code{\link{wilcox.test}}, \code{\link{p.adjust}}}

\examples{
attach(airquality)
Month <- factor(Month, labels = month.abb[5:9])
## これらはタイのせいで警告が出る：
pairwise.wilcox.test(Ozone, Month)
pairwise.wilcox.test(Ozone, Month, p.adj = "bonf")
detach()
}
\keyword{htest}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/pairwise.wilcox.test.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team

%% Distributed under GPL 2 or later
%
%\name{pairwise.wilcox.test}
%\alias{pairwise.wilcox.test}
%\title{Pairwise Wilcoxon Rank Sum Tests}
%\description{
%  Calculate pairwise comparisons between group levels with corrections
%  for multiple testing.
%}
%\usage{
%pairwise.wilcox.test(x, g, p.adjust.method = p.adjust.methods,
%                      paired = FALSE, \dots)
%}
%\arguments{
%  \item{x}{ response vector. }
%  \item{g}{ grouping vector or factor. }
%  \item{p.adjust.method}{ method for adjusting p values (see
%    \code{\link{p.adjust}}). Can be abbreviated.}
%  \item{paired}{a logical indicating whether you want a paired test.}
%  \item{\dots}{additional arguments to pass to \code{\link{wilcox.test}}.}
%}
%\details{
%  Extra arguments that are passed on to \code{wilcox.test} may or may
%  not be sensible in this context. In particular,
%  only the lower triangle of the matrix of possible comparisons is being
%  calculated, so setting \code{alternative} to anything other than
%  \code{"two.sided"} requires that the levels of \code{g} are ordered
%  sensibly.
%}
%\value{
%  Object of class \code{"pairwise.htest"}
%}
%\seealso{ \code{\link{wilcox.test}}, \code{\link{p.adjust}}}
%
%\examples{
%attach(airquality)
%Month <- factor(Month, labels = month.abb[5:9])
%## These give warnings because of ties :
%pairwise.wilcox.test(Ozone, Month)
%pairwise.wilcox.test(Ozone, Month, p.adj = "bonf")
%detach()
%}
%\keyword{htest}
%
%\encoding{UTF-8}
%
